Package picard.sam

# Enum Class ViewSam.AlignmentStatus

java.lang.Object
java.lang.Enum<ViewSam.AlignmentStatus>
picard.sam.ViewSam.AlignmentStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<ViewSam.AlignmentStatus>`, `Constable`

Enclosing class:
  `ViewSam`

public static enum ViewSam.AlignmentStatus extends Enum<ViewSam.AlignmentStatus>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Aligned`
`All`
`Unaligned`

## Method Summary

Modifier and Type
Method
Description
`static ViewSam.AlignmentStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ViewSam.AlignmentStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Aligned

public static final ViewSam.AlignmentStatus Aligned

### Unaligned

public static final ViewSam.AlignmentStatus Unaligned

### All

public static final ViewSam.AlignmentStatus All

## Method Details

### values

public static ViewSam.AlignmentStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ViewSam.AlignmentStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null